import { SeriesLayerPropertyOverlayValueResolvingEventArgs as SeriesLayerPropertyOverlayValueResolvingEventArgs_internal } from "./SeriesLayerPropertyOverlayValueResolvingEventArgs";
import { ContentChildrenManager } from "igniteui-react-core";
/**
 * Provides data for Axis RangeChanged events.
*/
export declare class IgrSeriesLayerPropertyOverlayValueResolvingEventArgs {
    protected createImplementation(): SeriesLayerPropertyOverlayValueResolvingEventArgs_internal;
    protected _implementation: any;
    /**
     * @hidden
     */
    get i(): SeriesLayerPropertyOverlayValueResolvingEventArgs_internal;
    private onImplementationCreated;
    protected _contentChildrenManager: ContentChildrenManager;
    constructor();
    protected _provideImplementation(i: any): void;
    get value(): any;
    set value(v: any);
}
